Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85120 - Request for kernel and user space post-mortem debugger in RH 2.1 AS
Summary: Request for kernel and user space post-mortem debugger in RH 2.1 AS
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-25 22:06 UTC by Heather Conway
Modified: 2013-08-06 01:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-21 19:58:01 UTC


Attachments (Terms of Use)

Description Heather Conway 2003-02-25 22:06:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Request for RedHat to provide support for both kernel and user components of a 
post-mortem debugger to be embedded into RedHat 2.1  Advanced Server 
distribution. 
This debugger would be enabled by default on the installed kernel images, 
thereby not requiring a kernel reconfiguration and rebuild by customers to 
obtain this feature. 
SuSE has integrated SGI/IBM Linux Kernel Crash Dump (LKCD) facility in their 
SLES 8 release. See http://lkcd.sourceforge.net/. 
Mission Critical Linux also has a good post-mortem linux kernel crash dump 
facility in their mcore product. See http://oss.mclx.com/projects/mcore/.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
There currently is no post-mortem debugger capability within RH 2.1 AS.
    

Additional info:

Comment 1 Arjan van de Ven 2003-02-25 22:08:52 UTC
what's wrong with netdump that we include ?


Comment 2 Suzanne Hillman 2005-06-21 19:58:01 UTC
Has been in NEEDINFO for years. Closing. 

If this is still a problem, please  please either contact Red Hat's Technical
Support line at 888-REDHAT-1 or file a web ticket at
http://www.redhat.com/apps/support/.  Bugzilla is not an official support
channel, has no response guarantees, and may not route your request to the
correct area to assist you.  Using the official support channels above will
guarantee that your issue is handled appropriately and routed to the individual
or group which can best assist you with this issue and will also allow Red Hat
to track the issue, ensuring that any applicable feature addition is included in
all releases and is not dropped from a future update or major release.


Note You need to log in before you can comment on or make changes to this bug.